## org.codehaus.groovy.grails.orm.hibernate.validation
Class PersistentConstraintFactory

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.validation.PersistentConstraintFactory

All Implemented Interfaces:
  ConstraintFactory

    public class PersistentConstraintFactory

extends Object
implements ConstraintFactory

A factory that creates PersistentConstraint instances ensuring that dependencies are provided

Since:
  0.4

  Created: Jan 23, 2007 Time: 3:04:34 PM
Author:
  Graeme Rocher

Constructor Summary
`PersistentConstraintFactory(ApplicationContext applicationContext, Class persistentConstraint)`

Method Summary
`Constraint` `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentConstraintFactory

    public PersistentConstraintFactory(ApplicationContext applicationContext,
                                       Class persistentConstraint)

Method Detail

### newInstance

    public Constraint newInstance()

  Specified by:
    `newInstance` in interface `ConstraintFactory`

Copyright (c) 2005-2009 The Grails project